#
# 	vslash gtk-2.0 theme	-- dark theme, because dark save energy
#	
#	inspired from Darkilouch
#


gtk-font-name="Sans 8"
#gtk-icon-theme-name="gnome_vslash"
gtk-icon-theme-name="Mac4Lin_Icons_v1.0_RC"
#gtk-icon-theme-name="gnome"

gtk-icon-sizes = "gtk-menu=16,16:panel-menu=32,32:panel=16,16"
gtk-icon-sizes = "gtk-button=16,16:gtk-large-toolbar=22,22"
gtk_color_scheme = 
"fg_color:#d0d0d0
bg_color:#6a6c6d
base_color:#9FA39B
text_color:#010101
fg_select_color:#ffffff
bg_select_color:#666666
foo:#ff8888
vgreen:#CFE84C"

gtk-can-change-accels=1

pixmap_path "/home/valery/.icons/pixmaps"

style "vslash-default"
{
	GtkButton		::default_border	= { 0, 0, 0, 0 }
	GtkButton		::inner-border		= {0,0,0,0}
	GtkButton		::child-displacement-x = 1
	GtkButton		::child-displacement-y = 1
	GtkRange      	::trough_border		= 0
	GtkPaned		::handle_size		= 6
	GtkRange		::slider_width		= 15
	GtkRange		::stepper_size		= 15
	GtkScrollbar	::min_slider_length	= 30
	GtkCheckButton	::indicator_size	= 12
	GtkMenuBar		::internal-padding	= 0
	GtkTreeView		::expander_size		= 14
	GtkExpander		::expander_size		= 16

	xthickness = 1
	ythickness = 1
 
# Color notation :
#	{ x.xx, x.xx, x.xx }
#   "#rrggbb"
#	@color
#	darker (@color)
# 	lighter(@color)
#	shade (x.xx, color)

	fg[NORMAL]		= @fg_color
	fg[PRELIGHT]	= lighter (@fg_color)		# Button Over
	fg[ACTIVE]		= shade(0.8, @fg_color)		# Inactive Pane, selected radio button
	fg[SELECTED]	= @vgreen					# Selection List ?
	fg[INSENSITIVE]	= shade (0.4, @fg_color)	# Not selectable options (inactive Menu)

	bg[NORMAL]		= @bg_color
	bg[PRELIGHT]	= lighter (@bg_color)		# Button Over, Menu Over
	bg[ACTIVE]		= darker (@bg_color)		# Button Pushed/Clicked, Inactive Pane ??
	bg[SELECTED]	= shade (0.3, @vgreen)		# Selection List?
	bg[INSENSITIVE]	= shade (1.3, @bg_color)	# Button Off, not selectable options

	base[NORMAL]	= @base_color				# Inside Selection Block, Normal Text
	base[PRELIGHT]	= @vgreen					# Mouse over : Inside checker box 
	base[ACTIVE]	= shade (0.6, @vgreen)		# Object in list is selected, but focus is out
	base[SELECTED]	= @bg_select_color
#	base[INSENSITIVE]= darker(@base_color)		# Checker Box inactive, not selectable
	base[INSENSITIVE]= shade(0.4,@base_color)	# Checker Box inactive, not selectable

#	text[NORMAL]		= @foo
#	text[PRELIGHT]		= @foo
#	text[ACTIVE]		= @foo
#	text[SELECTED]		= @foo
##	text[INSENSITIVE]	= @foo

#	engine "clearlooks" 	{   }
#	engine "industrial" 	{ 	}
#	engine "crux-engine" 	{ 	}

#	Rox Icons
#define ROX_STOCK_SHOW_DETAILS "rox-show-details"
#define ROX_STOCK_SHOW_HIDDEN  "rox-show-hidden"
#define ROX_STOCK_SELECT  "rox-select"
#define ROX_STOCK_MOUNT  "rox-mount"
#define ROX_STOCK_MOUNTED  "rox-mounted"
#define ROX_STOCK_XATTR        "rox-xattr"
#define ROX_STOCK_SYMLINK      "rox-symlink"
#define ROX_STOCK_BOOKMARKS GTK_STOCK_JUMP_TO
#stock-top.png
	stock["rox-mount"] 			= {{"gtk-ko.png"}}
	stock["rox-mounted"] 		= {{"gtk-ok.png"}}
	stock["rox-show-hidden"] 	= {{"gtk-preferences.png"}}
	stock["rox-show-details"] 	= {{"gtk-go-up.png"}}
	stock["rox-select"] 		= {{"rox-select-1.png"}}
	stock["rox-symlink"] 		= {{"symlink.png"}}

}

style "vslash-menu" = "vslash-default"
{
	xthickness = 2
	ythickness = 2
	fg[NORMAL]	= shade (1.0, @fg_color)
	bg[NORMAL]	= shade (0.9, @bg_color)

#	TODO VV
#	GtkWidget::focus-line-pattern = "\1\1"
#	GtkOptionMenu::indicator-spacing = { 2, 2, 2, 2 }
#	GtkOptionMenu::indicator-size = { 1, 1 }

	engine "industrial" { }

}

style "vslash-button" = "vslash-default"
{
	#gtk-button-images = 0

	fg[NORMAL]		= darker (@fg_color)
	fg[PRELIGHT]	= shade (1.4, @fg_color)	# Button Mouse over
	fg[ACTIVE]		= @vgreen			 		# Button clicked

	bg[NORMAL]		= shade (0.7, @bg_color)	# Default bg for selectable button
	bg[PRELIGHT]	= shade (1.4, @bg_color)	# Button Mouse over
#	bg[SELECTED]	= @foo
#	bg[INSENSITIVE]	= @foo
	bg[ACTIVE]		= shade (0.5, @bg_color) 	# Button clicked

#	engine "crux-engine" 	{ 	}				# gradient from top to bot

}

style "vslash-check" = "vslash-default"
{
	fg[NORMAL]		= "#444444"					# Border // Label Text Normal (not selected)
	fg[PRELIGHT]	= @fg_select_color			# Border Mouse Over
	fg[ACTIVE]		= @vgreen					# Last Choice ++ Checked // Label Text Active
#	fg[SELECTED]	= @foo						# No effect ?
	fg[INSENSITIVE] = darker (@fg_color)		# Border, no selectable, inactive

#	bg[NORMAL]			= @foo					# Background when mouse over
#	bg[PRELIGHT]		= @foo
#	bg[SELECTED]		= @foo
#	bg[INSENSITIVE]		= @foo
#	bg[ACTIVE]			= @foo

	base[NORMAL]		= darker (@bg_color)	# Box/Radio Background
#	base[PRELIGHT]		= @foo
#	base[ACTIVE]		= @foo					# Background when clicked
#	base[SELECTED]		= @foo
#	base[INSENSITIVE]	= @foo

	text[NORMAL]		= @vgreen				# Cross Color
	text[PRELIGHT]		= @fg_select_color		# Cross Color when mouse over
#	text[ACTIVE]		= @foo					# Cross Color when clicked
#	text[SELECTED]		= @foo
#	text[INSENSITIVE]	= @foo

}

#style "black-marble"
#{
#	GtkEntry::cursor_color    = "#FFCE00"
#	GtkTextView::cursor_color    = "#FFCE00"
#	NautilusIconContainer::frame_text = 1
#
#	fg[NORMAL]        = "#CACAC6"
#	fg[ACTIVE]        = "#CACAC6"
#	fg[INSENSITIVE]   = "#000000"
#	fg[PRELIGHT]      = "#E2E2E2"
#	fg[SELECTED]      = "#E2E2E2"
#
#	bg[ACTIVE]        = "#484949"
#	bg[NORMAL]        = "#5A5C5F"
#	bg[INSENSITIVE]   = "#505050"
#	bg[PRELIGHT]      = "#6A6C6F"
#	bg[SELECTED]      = "#394141"
#
#	base[NORMAL]      = "#9FA39B"
#	base[ACTIVE]      = "#5A5C5F"
#	base[INSENSITIVE] = "#5A5C5F"
#	base[PRELIGHT]    = "#646668"
#	base[SELECTED]    = "#5A5C5F"
#
#	text[NORMAL]      = "#E2E2E2"
#	text[ACTIVE]      = "#000000"
#	text[PRELIGHT]    = "#000000"
#	text[SELECTED]    = "#E0D6AD"
#	text[INSENSITIVE] = "#777777"
#
#	engine "crux-engine" { }
#}

# widget styles
#class "*" style "vslash-default"

class "GtkWidget"	style "vslash-default"
class "GtkMenu*"	style "vslash-menu"
#widget_class "*.GtkMenu*"	style "vslash-menu"
class "GtkButton"	style "vslash-button"
class "GtkCheckButton" style "vslash-check"
widget_class "*.GtkCheckButton*GtkLabel" style "vslash-check"
widget_class "*.GtkRadioButton*GtkLabel" style "vslash-check"
#class "GtkCombo"  style "vslash-button"


#	Copy / Paste :
#
#	fg[NORMAL]			= @foo
#	fg[PRELIGHT]		= @foo 
#	fg[SELECTED]		= @foo 
#	fg[ACTIVE]			= @foo
#	fg[INSENSITIVE]		= @foo
#
#	bg[NORMAL]			= @foo
#	bg[PRELIGHT]		= @foo
#	bg[SELECTED]		= @foo
#	bg[INSENSITIVE]		= @foo
#	bg[ACTIVE]			= @foo
#
#	base[NORMAL]		= @foo
#	base[PRELIGHT]		= @foo
#	base[ACTIVE]		= @foo
#	base[SELECTED]		= @foo
#	base[INSENSITIVE]	= @foo
#
#	text[NORMAL]		= @foo
#	text[PRELIGHT]		= @foo
#	text[ACTIVE]		= @foo
#	text[SELECTED]		= @foo
#	text[INSENSITIVE]	= @foo


# TODO : ROX
# pixmap_path "/path/to/icons"
# 
# style "normal" {
#   stock["gtk-close"] = {{"close-icon.png"}}
#   stock["gtk-go-up"] = {{"up-icon.png"}}
#   stock["gtk-home"] = {{"home-icon.png"}}
#   stock["gtk-refresh"] = {{"refresh-icon.png"}}
#   stock["gtk-zoom-in"] = {{"zoom-in-icon.png"}}
#   stock["gtk-zoom-fit"] = {{"zoom-fit-icon.png"}}
#   stock["gtk-jump-to"] = {{"jump-to-icon.png"}}
#   stock["gtk-sort-ascending"] = {{"sort-icon.png"}}
#   stock["gtk-help"] = {{"help-icon.png"}}
#   stock["rox-show-hidden"] = {{"hidden-icon.png"}}
#   stock["rox-show-details"] = {{"details-icon.png"}}
#   stock["rox-select"] = {{"select-icon.png"}}
# }
#/* Stock icons */
#define ROX_STOCK_SHOW_DETAILS "rox-show-details"
#define ROX_STOCK_SHOW_HIDDEN  "rox-show-hidden"
#define ROX_STOCK_SELECT  "rox-select"
#define ROX_STOCK_MOUNT  "rox-mount"
#define ROX_STOCK_MOUNTED  "rox-mounted"
#define ROX_STOCK_BOOKMARKS GTK_STOCK_JUMP_TO
# 
# widget "*" style "normal"
